Name:          eigen3
Version:       3.4.0
Release:       2mamba
Summary:       A C++ template library for linear algebra
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://eigen.tuxfamily.org/index.php?title=Main_Page
Source:        https://gitlab.com/libeigen/eigen.git/%{version}/eigen-%{version}.tar.bz2
Patch0:        eigen3-3.4.0-fix-vectorized-reduction-half.patch
License:       LGPL, MPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: doxygen

%description
Eigen is a C++ template library for linear algebra: vectors, matrices, and related algorithms.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Provides:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      eigen-devel = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Eigen is a C++ template library for linear algebra: vectors, matrices, and related algorithms.
This package contains static libraries and header files needed for development.

#% debug_package

%prep
%setup -q -n eigen-%{version}
%patch 0 -p1 -b .fix-vectorized-reduction-half

%build
%cmake -d build \
   -DINCLUDE_INSTALL_DIR=%{_includedir}/eigen3

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%dir %{_includedir}/eigen3
%dir %{_includedir}/eigen3/Eigen
%{_includedir}/eigen3/Eigen/*
%dir %{_includedir}/eigen3/unsupported
%dir %{_includedir}/eigen3/unsupported/Eigen
%{_includedir}/eigen3/unsupported/Eigen/*
%{_includedir}/eigen3/signature_of_eigen3_matrix_library
%dir %{_datadir}/eigen3
%dir %{_datadir}/eigen3/cmake
%{_datadir}/eigen3/cmake/*.cmake
%{_datadir}/pkgconfig/eigen3.pc
%doc COPYING.*

%changelog
* Thu Oct 31 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0-2mamba
- install headers in default path /usr/include/eigen3

* Mon Feb 26 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Wed Dec 12 2018 Automatic Build System <autodist@mambasoft.it> 3.3.7-1mamba
- automatic version update by autodist

* Mon Dec 10 2018 Automatic Build System <autodist@mambasoft.it> 3.3.6-1mamba
- automatic version update by autodist

* Wed Aug 22 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.5-2mamba
- disable including unsupported DGMRES.h header causing kde step build fail

* Tue Jul 24 2018 Automatic Build System <autodist@mambasoft.it> 3.3.5-1mamba
- automatic version update by autodist

* Thu Jun 15 2017 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Fri Feb 24 2017 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic version update by autodist

* Fri Jan 20 2017 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Sat Dec 17 2016 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Sun Oct 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.10-2mamba
- fix broken include path in eigen3.pc

* Wed Oct 05 2016 Automatic Build System <autodist@mambasoft.it> 3.2.10-1mamba
- automatic version update by autodist

* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 3.2.9-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic version update by autodist

* Fri Jan 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-3mamba
- really fix pkgconfig file

* Wed Dec 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.7-2mamba
- fix pkgconfig include dir

* Sat Nov 07 2015 Automatic Build System <autodist@mambasoft.it> 3.2.7-1mamba
- automatic version update by autodist

* Sat Oct 03 2015 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic version update by autodist

* Wed Jul 08 2015 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- automatic version update by autodist

* Mon Feb 02 2015 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic version update by autodist

* Fri Aug 08 2014 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Dec 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-1mamba
- update to 3.1.2

* Fri Jul 17 2009 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- update to 2.0.3

* Fri May 29 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.0.2-1mamba
- package created by autospec
